<?php
class ModelShippingSpeedy extends Model {
	function getQuote($address) {
		$this->language->load('shipping/speedy');

		if (isset($address['validate'])) {
			$status = true;
		} else {
			$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "zone_to_geo_zone WHERE geo_zone_id = '" . (int)$this->config->get('speedy_geo_zone_id') . "' AND country_id = '" . (int)$address['country_id'] . "' AND (zone_id = '" . (int)$address['zone_id'] . "' OR zone_id = '0')");

			if (!$this->config->get('speedy_geo_zone_id')) {
				$status = true;
			} elseif ($query->num_rows) {
				$status = true;
			} else {
				$status = false;
			}
		}

		$method_data = array();

		if ($status) {
			$quote_data = array();

			$quote_data['speedy'] = array(
				'code'         => 'speedy.speedy',
				'title'        => $this->language->get('text_description'),
				'cost'         => 0.00,
				'tax_class_id' => 0,
				'text'         => ''
			);

			$method_data = array(
				'code'       => 'speedy',
				'title'      => $this->language->get('text_title'),
				'quote'      => $quote_data,
				'sort_order' => $this->config->get('speedy_sort_order'),
				'error'      => false
			);

			if (isset($this->session->data['speedy']) &&
				($this->customer->isLogged() && isset($this->session->data['shipping_address']['address_id'])
				&& isset($this->session->data['speedy_customer']) &&
				$this->session->data['speedy_customer']['shipping_address_id'] == $this->session->data['shipping_address']['address_id'] ||
				isset($this->session->data['guest']) && isset($this->session->data['speedy_guest']) &&
				$this->session->data['speedy_guest']['city'] == $this->session->data['shipping_address']['city'] &&
				$this->session->data['speedy_guest']['postcode'] == $this->session->data['shipping_address']['postcode'] ||
				isset($this->session->data['api_id']))
			) {
				require_once(DIR_SYSTEM . 'library/speedy.php');
				$speedy = new Speedy($this->registry);

				$total = 0;
				$totalNoShipping = $total;
				$taxes = $this->cart->getTaxes();
				$sort_order = array();

				if (version_compare(VERSION, '2.2', '>=')) {
					$totals = array();
					// Because __call can not keep var references so we put them into an array.
					$total_data = array(
						'totals' => &$totals,
						'taxes'  => &$taxes,
						'total'  => &$total
					);
				}

				$this->load->model('extension/extension');
				$results = $this->model_extension_extension->getExtensions('total');

				foreach ($results as $key => $value) {
					$sort_order[$key] = $this->config->get($value['code'] . '_sort_order');
				}

				array_multisort($sort_order, SORT_ASC, $results);

				foreach ($results as $result) {
					if ($this->config->get($result['code'] . '_status')) {
						if (version_compare(VERSION, '2.2', '>=')) {
							$this->load->model('extension/total/' . $result['code']);

							// We have to put the totals in an array so that they pass by reference.
							$this->{'model_extension_total_' . $result['code']}->getTotal($total_data);
						} else {
							$this->load->model('total/' . $result['code']);

							if ($result['code'] != 'shipping') {
								$this->{'model_total_' . $result['code']}->getTotal($total_data, $total, $taxes);
							}
						}
					}
				}

				$total = $this->currency->format($total, $this->config->get('speedy_currency'), '', false);
				$weight = 0;

				foreach ($this->cart->getProducts() as $product) {
					if ($product['shipping']) {
						//if (!$this->config->get('speedy_documents')) {
							$product_weight = (float)$product['weight'];
							if (!empty($product_weight)) {
								$weight += $this->weight->convert($product['weight'], $product['weight_class_id'], 1);
							} else {
								$weight += ($this->config->get('speedy_default_weight') * $product['quantity']);
							}
						//}
					} else {
						$totalNoShipping -= $this->tax->calculate($product['price'], $product['tax_class_id'], $this->config->get('config_tax')) * $product['quantity'];
					}
				}

				if ($this->config->get('speedy_documents') && (float)$weight > 0.25) {
					$weight = 0.25;
				}

				$this->session->data['speedy']['total'] = $total;
				$this->session->data['speedy']['totalNoShipping'] = $this->currency->format($totalNoShipping, $this->config->get('speedy_currency'), '', false);
				$this->session->data['speedy']['weight'] = $weight;
				$this->session->data['speedy']['count'] = 1; //$this->cart->countProducts();
				$this->session->data['speedy']['taking_date'] = ($this->config->get('speedy_taking_date') ? strtotime('+' . (int)$this->config->get('speedy_taking_date') . ' day', mktime(9, 0, 0)) : time());

				if ($this->config->get('speedy_pricing') == 'fixed' || $this->config->get('speedy_pricing') == 'calculator_fixed') {
					$this->session->data['speedy']['total'] += $this->config->get('speedy_fixed_price');
				}

				$this->session->data['speedy']['fixed_time'] = null;

				if (!$this->config->get('speedy_cod_status')) {
					$this->session->data['speedy']['cod'] = false;
				}

				if (isset($address['validate']) || !isset($this->session->data['speedy_guest_address']) || (isset($this->session->data['speedy_guest_address']) && md5(serialize($this->session->data['speedy_guest_address'])) == md5(serialize($address)))) {
					$methods = $speedy->calculate($this->session->data['speedy']);
				} else {
					$methods = array();
				}

				$this->session->data['speedy']['methods_fixed_time'] = array();

				if (isset($this->session->data['speedy']['fixed_time_cb'])) {
					$methods = $speedy->calculate(array_merge($this->session->data['speedy'], array('fixed_time' => $this->session->data['speedy']['fixed_time_hour'] . $this->session->data['speedy']['fixed_time_min'])));
				}

				$lang = ($this->session->data['speedy']['abroad']) ? 'en' : $this->language->get('code');
				$services = $speedy->getServices($lang);
				$methods_count = 0;

				if (!$speedy->getError()) {
					foreach ($methods as $method) {
						if (!$method->getErrorDescription()) {
							if (($this->config->get('speedy_pricing') == 'free') && ($total >= (float)$this->config->get('speedy_free_shipping_total')) &&
								($method->getServiceTypeId() == $this->config->get('speedy_free_method_city') || $method->getServiceTypeId() == $this->config->get('speedy_free_method_intercity') || in_array($method->getServiceTypeId(), $this->config->get('speedy_free_method_international')))) {
								$method_total = 0;
							} elseif ($this->config->get('speedy_pricing') == 'fixed') {
								$method_total = $this->config->get('speedy_fixed_price');
							} elseif ($this->config->get('speedy_pricing') == 'table_rate') {
								$filter_data = array(
									'service_id' => $method->getServiceTypeId(),
									'take_from_office' => $this->session->data['speedy']['to_office'],
									'weight' => $weight,
									'order_total' => $total,
									'fixed_time_delivery' => isset($this->session->data['speedy']['fixed_time_cb']) ? $this->session->data['speedy']['fixed_time_cb'] : 0,
								);

								$speedy_table_rate = $this->getSpeedyTableRate($filter_data);

								if (empty($speedy_table_rate)) {
									continue;
								} else {
									$method_total = $speedy_table_rate['price_without_vat'];
								}
							} else {
								if (isset($this->session->data['speedy']['fixed_time_cb']) && isset($this->session->data['speedy']['methods_fixed_time'][$method->getServiceTypeId()])) {
									$method_total = $this->session->data['speedy']['methods_fixed_time'][$method->getServiceTypeId()];
								} else {
									$method_total = $method->getResultInfo()->getAmounts()->getTotal();
								}

								if ($this->config->get('speedy_pricing') == 'calculator_fixed') {
									$method_total += $this->config->get('speedy_fixed_price');
								}
							}
							$method_total = $this->currency->convert((float)$method_total, $this->config->get('speedy_currency'), $this->config->get('config_currency'));

							$quote_data[$method->getServiceTypeId()] = array(
								'code'         => 'speedy.' . $method->getServiceTypeId(),
								'title'        => $this->language->get('text_description') . ' - ' . $services[$method->getServiceTypeId()],
								'cost'         => $method_total,
								'tax_class_id' => 0,
								'text'         => $this->currency->format($method_total, $this->config->get('speedy_currency'))
							);

							$methods_count++;
						}
					}

					if ($methods_count) {
						unset($quote_data['speedy']);
						$method_data['quote'] = $quote_data;
					} elseif (!$methods_count && $this->config->get('speedy_pricing') == 'table_rate') {
						$method_data['speedy_error'] = $this->language->get('error_calculate_table_rate');
					} else {
						$method_data['speedy_error'] = $this->language->get('error_calculate_empty_methods');
					}
				} else {
					$method_data['speedy_error'] = $speedy->getError();
				}
			} else {
				$method_data['speedy_error'] = $this->language->get('error_calculate');
				unset($this->session->data['speedy']);
			}
		}

		if (isset($method_data['speedy_error'])) {
			$method_data['quote']['speedy']['text'] = '';
		}

		return $method_data;
	}

	public function addAddress($address_id, $data) {
		$this->db->query("DELETE FROM " . DB_PREFIX . "speedy_address WHERE address_id = '" . (int)$address_id . "' AND customer_id = '" . (int)$this->customer->getId() . "'");

		$this->db->query("INSERT INTO " . DB_PREFIX . "speedy_address SET
		address_id = '" . (int)$address_id . "',
		customer_id = '" . (int)$this->customer->getId() . "',
		postcode = '" . (isset($data['postcode']) ? $this->db->escape($data['postcode']) : 0) . "',
		city = '" . (isset($data['city']) ? $this->db->escape($data['city']) : '') . "',
		city_id = '" . (isset($data['city_id']) ? (int)$data['city_id'] : 0) . "',
		city_nomenclature = '" . (isset($data['city_nomenclature']) ? $this->db->escape($data['city_nomenclature']) : '') . "',
		to_office = '" . (isset($data['to_office']) ? (int)$data['to_office'] : 0) . "',
		office_id = '" . (isset($data['office_id']) ? (int)$data['office_id'] : 0) . "',
		quarter = '" . (isset($data['quarter']) ? $this->db->escape($data['quarter']) : '') . "',
		quarter_id = '" . (isset($data['quarter_id']) ? (int)$data['quarter_id'] : 0) . "',
		street = '" . (isset($data['street']) ? $this->db->escape($data['street']) : '') . "',
		street_id = '" . (isset($data['street_id']) ? (int)$data['street_id'] : 0) . "',
		street_no = '" . (isset($data['street_no']) ? $this->db->escape($data['street_no']) : '') . "',
		block_no = '" . (isset($data['block_no']) ? $this->db->escape($data['block_no']) : '') . "',
		entrance_no = '" . (isset($data['entrance_no']) ? $this->db->escape($data['entrance_no']) : '') . "',
		floor_no = '" . (isset($data['floor_no']) ? $this->db->escape($data['floor_no']) : '') . "',
		apartment_no = '" . (isset($data['apartment_no']) ? $this->db->escape($data['apartment_no']) : '') . "',
		note = '" . (isset($data['note']) ? $this->db->escape($data['note']) : '') . "',
		country = '" . (isset($data['country']) ? $this->db->escape($data['country']) : '') . "',
		country_id = '" . (isset($data['country_id']) ? (int)$data['country_id'] : 0) . "',
		country_nomenclature = '" . (isset($data['country_nomenclature']) ? $this->db->escape($data['country_nomenclature']) : '') . "',
		state = '" . (isset($data['state']) ? $this->db->escape($data['state']) : '') . "',
		state_id = '" . (isset($data['state_id']) ? $this->db->escape($data['state_id']) : '') . "',
		required_state = '" . (isset($data['required_state']) ? (int)$data['required_state'] : 0) . "',
		required_postcode = '" . (isset($data['required_postcode']) ? (int)$data['required_postcode'] : 0) . "',
		address_1 = '" . (isset($data['address_1']) ? $this->db->escape($data['address_1']) : '') . "',
		address_2 = '" . (isset($data['address_2']) ? $this->db->escape($data['address_2']) : '') . "',
		abroad = '" . (isset($data['abroad']) ? (int)$data['abroad'] : 0) . "'");
	}

	public function getAddress($address_id) {
		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "speedy_address WHERE address_id = '" . (int)$address_id . "' AND customer_id = '" . (int)$this->customer->getId() . "'");

		return $query->row;
	}

	public function addOrder($order_id, $data) {
		$data['price_gen_method'] = $this->config->get('speedy_pricing');
		$this->db->query("INSERT INTO " . DB_PREFIX . "speedy_order SET order_id = '" . (int)$order_id . "', data = '" . $this->db->escape(serialize($data)) . "'");
	}

	public function getOrder($order_id) {
		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "speedy_order WHERE order_id = '" . (int)$order_id . "'");

		return $query->row;
	}

	public function editOrder($order_id, $data) {
		$this->db->query("UPDATE " . DB_PREFIX . "speedy_order SET data = '" . $this->db->escape(serialize($data)) . "' WHERE order_id = '" . (int)$order_id . "'");
	}

	public function getSpeedyTableRate($data) {
		$query = $this->db->query("SELECT price_without_vat FROM " . DB_PREFIX . "speedy_table_rate WHERE service_id = '" . (int)$data['service_id'] . "' AND take_from_office = '" . (int)$data['take_from_office'] . "' AND weight >= '" . (float)$data['weight'] . "' AND order_total >= '" . (int)$data['order_total'] . "' AND fixed_time_delivery = '" . (int)$data['fixed_time_delivery'] . "' ORDER BY weight, order_total ASC");

		return $query->row;
	}
}
?>
